Subject: Re: bug#51404: Support system dark mode on Windows 10

From: Vince Salvino <[email-masked]>
Date: Sat, 30 Oct 2021 17:13:13 +0000

> define a variable exposed to Lisp using DEFVAR_BOOL; let's call it w32-follow-system-theme

My thought would be to give the user a bit more control. Rather than saying to follow system theme or not, perhaps they could choose from 3 values: follow theme, light, or dark, e.g.:

w32-system-theme:
* nil: follow system theme (default)
* light: force light mode (the old behavior)
* dark: force dark mode

Second, could you provide an existing value from early-init that I could follow as an example? (I never knew early init was a thing, so I am going to research this - it will probably make my personal init customization a lot better too!)

Vince Salvino